Skip to main content

Class AlterSystemPropertiesRequest.PropertyUpdatesMap

java.lang.Object
com.gpudb.protocol.AlterSystemPropertiesRequest.PropertyUpdatesMap

public static final class AlterSystemPropertiesRequest.PropertyUpdatesMap extends Object
A set of string constants for the AlterSystemPropertiesRequest parameter propertyUpdatesMap.

Map containing the properties of the system to be updated. Error if empty.

  • Field Details

    • CONCURRENT_KERNEL_EXECUTION

      public static final String CONCURRENT_KERNEL_EXECUTION
      Enables concurrent kernel execution if the value is TRUE and disables it if the value is FALSE. Supported values:
    • TRUE

      public static final String TRUE
    • FALSE

      public static final String FALSE
    • SUBTASK_CONCURRENCY_LIMIT

      public static final String SUBTASK_CONCURRENCY_LIMIT
      Sets the maximum number of simultaneous threads allocated to a given request, on each rank. Note that thread allocation may also be limited by resource group limits and/or system load.
    • CHUNK_SIZE

      public static final String CHUNK_SIZE
      Sets the number of records per chunk to be used for all new tables.
    • CHUNK_COLUMN_MAX_MEMORY

      public static final String CHUNK_COLUMN_MAX_MEMORY
      Sets the target maximum data size for each column in a chunk to be used for all new tables.
    • CHUNK_MAX_MEMORY

      public static final String CHUNK_MAX_MEMORY
      Indicates the target maximum data size for all columns in a chunk to be used for all new tables.
    • EXECUTION_MODE

      public static final String EXECUTION_MODE
      Sets the execution_mode for kernel executions to the specified string value. Possible values are host, device, default (engine decides) or an integer value that indicates max chunk size to exec on host.
    • EXTERNAL_FILES_DIRECTORY

      public static final String EXTERNAL_FILES_DIRECTORY
      Sets the root directory path where external table data files are accessed from. Path must exist on the head node.
    • REQUEST_TIMEOUT

      public static final String REQUEST_TIMEOUT
      Number of minutes after which filtering (e.g., GPUdb.filter) and aggregating (e.g., GPUdb.aggregateGroupBy) queries will timeout. The default value is ‘20’. The minimum allowed value is ‘0’. The maximum allowed value is ‘1440’.
    • MAX_GET_RECORDS_SIZE

      public static final String MAX_GET_RECORDS_SIZE
      The maximum number of records the database will serve for a given data retrieval call. The default value is ‘20000’. The minimum allowed value is ‘0’. The maximum allowed value is ‘1000000’.
    • ENABLE_AUDIT

      public static final String ENABLE_AUDIT
      Enable or disable auditing.
    • AUDIT_HEADERS

      public static final String AUDIT_HEADERS
      Enable or disable auditing of request headers.
    • AUDIT_BODY

      public static final String AUDIT_BODY
      Enable or disable auditing of request bodies.
    • AUDIT_DATA

      public static final String AUDIT_DATA
      Enable or disable auditing of request data.
    • AUDIT_RESPONSE

      public static final String AUDIT_RESPONSE
      Enable or disable auditing of response information.
    • SHADOW_AGG_SIZE

      public static final String SHADOW_AGG_SIZE
      Size of the shadow aggregate chunk cache in bytes. The default value is ‘10000000’. The minimum allowed value is ‘0’. The maximum allowed value is ‘2147483647’.
    • SHADOW_FILTER_SIZE

      public static final String SHADOW_FILTER_SIZE
      Size of the shadow filter chunk cache in bytes. The default value is ‘10000000’. The minimum allowed value is ‘0’. The maximum allowed value is ‘2147483647’.
    • ENABLE_OVERLAPPED_EQUI_JOIN

      public static final String ENABLE_OVERLAPPED_EQUI_JOIN
      Enable overlapped-equi-join filter. The default value is ‘true’.
    • ENABLE_ONE_STEP_COMPOUND_EQUI_JOIN

      public static final String ENABLE_ONE_STEP_COMPOUND_EQUI_JOIN
      Enable the one_step compound-equi-join algorithm. The default value is ‘true’.
    • KAFKA_BATCH_SIZE

      public static final String KAFKA_BATCH_SIZE
      Maximum number of records to be ingested in a single batch. The default value is ‘1000’. The minimum allowed value is ‘1’. The maximum allowed value is ‘10000000’.
    • KAFKA_POLL_TIMEOUT

      public static final String KAFKA_POLL_TIMEOUT
      Maximum time (milliseconds) for each poll to get records from Kafka. The default value is ‘0’. The minimum allowed value is ‘0’. The maximum allowed value is ‘1000’.
    • KAFKA_WAIT_TIME

      public static final String KAFKA_WAIT_TIME
      Maximum time (seconds) to buffer records received from Kafka before ingestion. The default value is ‘30’. The minimum allowed value is ‘1’. The maximum allowed value is ‘120’.
    • EGRESS_PARQUET_COMPRESSION

      public static final String EGRESS_PARQUET_COMPRESSION
      Parquet file compression type. Supported values:The default value is SNAPPY.
    • UNCOMPRESSED

      public static final String UNCOMPRESSED
    • SNAPPY

      public static final String SNAPPY
    • GZIP

      public static final String GZIP
    • EGRESS_SINGLE_FILE_MAX_SIZE

      public static final String EGRESS_SINGLE_FILE_MAX_SIZE
      Max file size (in MB) to allow saving to a single file. May be overridden by target limitations. The default value is ‘10000’. The minimum allowed value is ‘1’. The maximum allowed value is ‘200000’.
    • MAX_CONCURRENT_KERNELS

      public static final String MAX_CONCURRENT_KERNELS
      Sets the max_concurrent_kernels value of the conf. The minimum allowed value is ‘0’. The maximum allowed value is ‘256’.
    • SYSTEM_METADATA_RETENTION_PERIOD

      public static final String SYSTEM_METADATA_RETENTION_PERIOD
      Sets the system_metadata.retention_period value of the conf. The minimum allowed value is ‘1’.
    • TCS_PER_TOM

      public static final String TCS_PER_TOM
      Size of the worker rank data calculation thread pool. This is primarily used for computation-based operations such as aggregates and record retrieval. The minimum allowed value is ‘2’. The maximum allowed value is ‘8192’.
    • TPS_PER_TOM

      public static final String TPS_PER_TOM
      Size of the worker rank data processing thread pool. This includes operations such as inserts, updates, and deletes on table data. Multi-head inserts are not affected by this limit. The minimum allowed value is ‘2’. The maximum allowed value is ‘8192’.
    • BACKGROUND_WORKER_THREADS

      public static final String BACKGROUND_WORKER_THREADS
      Size of the worker rank background thread pool. This includes background operations such as watermark evictions catalog table updates. The minimum allowed value is ‘1’. The maximum allowed value is ‘8192’.
    • LOG_DEBUG_JOB_INFO

      public static final String LOG_DEBUG_JOB_INFO
      Outputs various job-related information to the rank logs. Used for troubleshooting.
    • ENABLE_THREAD_HANG_LOGGING

      public static final String ENABLE_THREAD_HANG_LOGGING
      Log a stack trace for any thread that runs longer than a defined threshold. Used for troubleshooting. The default value is ‘true’.
    • AI_ENABLE_RAG

      public static final String AI_ENABLE_RAG
      Enable RAG. The default value is ‘false’.
    • AI_API_PROVIDER

      public static final String AI_API_PROVIDER
      AI API provider type.
    • AI_API_URL

      public static final String AI_API_URL
      AI API URL.
    • AI_API_KEY

      public static final String AI_API_KEY
      AI API key.
    • AI_API_CONNECTION_TIMEOUT

      public static final String AI_API_CONNECTION_TIMEOUT
      AI API connection timeout in seconds.
    • AI_API_EMBEDDINGS_MODEL

      public static final String AI_API_EMBEDDINGS_MODEL
      AI API model name.
    • TELM_PERSIST_QUERY_METRICS

      public static final String TELM_PERSIST_QUERY_METRICS
      Enable or disable persisting of query metrics.
    • TELM_FORCE_METRICS_DURATION

      public static final String TELM_FORCE_METRICS_DURATION
      Capture metrics for any query exceeding this duration in seconds.
    • POSTGRES_PROXY_IDLE_CONNECTION_TIMEOUT

      public static final String POSTGRES_PROXY_IDLE_CONNECTION_TIMEOUT
      Idle connection timeout in seconds.
    • POSTGRES_PROXY_KEEP_ALIVE

      public static final String POSTGRES_PROXY_KEEP_ALIVE
      Enable postgres proxy keep alive. The default value is ‘false’.
    • KIFS_DIRECTORY_DATA_LIMIT

      public static final String KIFS_DIRECTORY_DATA_LIMIT
      The default maximum capacity to apply when creating a KiFS directory (bytes). The minimum allowed value is ‘-1’.
    • COMPRESSION_CODEC

      public static final String COMPRESSION_CODEC
      The default compression algorithm applied to any column without a column-level or table-level default compression specified at the time it was created.
    • DISK_AUTO_OPTIMIZE_TIMEOUT

      public static final String DISK_AUTO_OPTIMIZE_TIMEOUT
      Time interval in seconds after which the database will apply optimizations/transformations to persisted data, such as compression. The minimum allowed value is ‘0’.
    • HA_CONSUMER_REPLAY_OFFSET

      public static final String HA_CONSUMER_REPLAY_OFFSET
      Initializes HA replay from the given timestamp (as milliseconds since unix epoch). The minimum allowed value is ‘-1’.
    • ADMIN_ACCESS_ONLY

      public static final String ADMIN_ACCESS_ONLY
      Restricts access to system admin users only. The default value is ‘false’.